{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "cli": {
    "defaultCollection": "@datorama/akita"
  },
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "@ui-tool/core": {
      "projectType": "library",
      "root": "libs/core",
      "sourceRoot": "libs/core/src",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "tsConfig": "libs/core/tsconfig.lib.json",
            "project": "libs/core/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "libs/core/tsconfig.lib.prod.json"
            }
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "libs/core/src/test.ts",
            "tsConfig": "libs/core/tsconfig.spec.json",
            "karmaConfig": "libs/core/karma.conf.js"
          }
        }
      }
    },
    "@ui-demo/core": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "inlineTemplate": true,
          "inlineStyle": true,
          "style": "scss",
          "skipTests": true
        },
        "@schematics/angular:class": {
          "skipTests": true
        },
        "@schematics/angular:directive": {
          "skipTests": true
        },
        "@schematics/angular:guard": {
          "skipTests": true
        },
        "@schematics/angular:interceptor": {
          "skipTests": true
        },
        "@schematics/angular:module": {
        },
        "@schematics/angular:pipe": {
          "skipTests": true
        },
        "@schematics/angular:service": {
          "skipTests": true
        }
      },
      "root": "apps/core-ui",
      "sourceRoot": "apps/core-ui/src",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/apps/core-ui",
            "index": "apps/core-ui/src/index.html",
            "main": "apps/core-ui/src/main.ts",
            "polyfills": "apps/core-ui/src/polyfills.ts",
            "tsConfig": "apps/core-ui/tsconfig.app.json",
            "assets": [
              "apps/core-ui/src/favicon.ico",
              "apps/core-ui/src/assets",
              {
                "glob": "package.json",
                "input": "libs/core",
                "output": "assets/"
              }
            ],
            "styles": [
              "node_modules/ngx-toastr/toastr.css",
              "apps/core-ui/src/styles.scss"
            ],
            "scripts": [],
            "vendorChunk": true,
            "extractLicenses": false,
            "buildOptimizer": false,
            "sourceMap": true,
            "optimization": false,
            "namedChunks": true
          },
          "configurations": {
            "development": {
              "fileReplacements": [
                {
                  "replace": "apps/core-ui/src/environments/environment.ts",
                  "with": "apps/core-ui/src/environments/environment.development.ts"
                }
              ]
            },
            "production": {
              "fileReplacements": [
                {
                  "replace": "apps/core-ui/src/environments/environment.ts",
                  "with": "apps/core-ui/src/environments/environment.production.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          },
            "defaultConfiguration": ""
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "@ui-demo/core:build"
          },
          "configurations": {
            "development": {
              "browserTarget": "@ui-demo/core:build:development"
            },
            "production": {
              "browserTarget": "@ui-demo/core:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "@ui-demo/core:build"
          }
        }
      }
    }
  },
  "defaultProject": "@ui-demo/core"
}
